import java.applet.Applet;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.MediaTracker;
import netrexx.lang.Rexx;
import netrexx.lang.RexxSet;

public class TGShow extends Applet {
   protected String gif;
   protected String recipe;
   protected Image goodimage;
   protected Rexx[] rRecTxt = new Rexx[1000];
   protected Rexx rMaxLine = new Rexx("");
   protected RXFile rxRecipe = new RXFile();
   private static final Rexx $$1 = new Rexx("");
   private static final Rexx $$4 = new Rexx(0);
   private static final Rexx $$5 = new Rexx(1);
   private static final Rexx $$10 = new Rexx(150);
   private static final Rexx $$11 = new Rexx(10);
   // $FF: renamed from: $0 java.lang.String
   private static final String field_0 = "TGShow.nrx";

   public void init() {
      RXFile var1 = new RXFile();
      this.gif = var1.linein().strip().toString();
      this.recipe = var1.linein().strip().toString();
      this.rRecTxt[0] = new Rexx((byte)0);
      if (this.rxRecipe.stream(new Rexx(this.recipe), new Rexx('c'), new Rexx("query exists")).OpNotEq((RexxSet)null, $$1)) {
         this.rxRecipe.stream(new Rexx(this.recipe), new Rexx('c'), new Rexx("open read"));

         while(this.rxRecipe.lines().OpNotEq((RexxSet)null, $$4)) {
            this.rRecTxt[0] = this.rRecTxt[0].OpAdd((RexxSet)null, $$5);
            this.rRecTxt[this.rRecTxt[0].toint()] = this.rxRecipe.linein();
            if (this.rRecTxt[this.rRecTxt[0].toint()].length().OpGt((RexxSet)null, this.rMaxLine.length())) {
               this.rMaxLine = this.rRecTxt[this.rRecTxt[0].toint()];
            }
         }

         this.rxRecipe.stream(new Rexx('c'), new Rexx("close"));
      } else if (this.rxRecipe.stream(new Rexx(this.gif), new Rexx('c'), new Rexx("query exists")).OpEq((RexxSet)null, $$1)) {
         System.exit(0);
         return;
      }

      Image var2 = ((Applet)this).getImage(((Applet)this).getDocumentBase(), this.gif);
      MediaTracker var3 = new MediaTracker(this);
      var3.addImage(var2, 0);

      try {
         var3.waitForID(0);
      } catch (InterruptedException var4) {
         return;
      }

      if (var2.getWidth(this) > 0 && var2.getHeight(this) > 0) {
         this.goodimage = var2;
      }

      if (this.goodimage == null & this.rRecTxt[0].OpEq((RexxSet)null, $$4)) {
         System.exit(0);
      }
   }

   public void paint(Graphics var1) {
      int var2 = 0;
      int var3 = 0;
      boolean var5 = false;
      Font var4 = new Font("Courier", 0, 12);
      if (this.goodimage != null) {
         var2 = this.goodimage.getWidth(this);
         var3 = this.goodimage.getHeight(this);
         if (this.rRecTxt[0].OpGt((RexxSet)null, $$4)) {
            if ((new Rexx(var3)).OpGt((RexxSet)null, (new Rexx(var4.getSize())).OpMult((RexxSet)null, this.rRecTxt[0]))) {
               ((Applet)this).resize((new Rexx(var2)).OpAdd((RexxSet)null, (new Rexx(var4.getSize() / 7 * 5)).OpMult((RexxSet)null, this.rMaxLine.length())).OpAdd((RexxSet)null, $$10).toint(), var3 + 5);
            } else {
               ((Applet)this).resize((new Rexx(var2)).OpAdd((RexxSet)null, (new Rexx(var4.getSize() / 7 * 5)).OpMult((RexxSet)null, this.rMaxLine.length())).OpAdd((RexxSet)null, $$10).toint(), (new Rexx(var4.getSize())).OpMult((RexxSet)null, this.rRecTxt[0]).OpAdd((RexxSet)null, $$11).toint());
            }

            int var11 = this.rRecTxt[0].toint();

            for(int var10 = 1; var10 <= var11; ++var10) {
               var1.drawString(this.rRecTxt[var10].toString(), var2 + 5, var4.getSize() * var10);
            }
         } else {
            ((Applet)this).resize(var2 + 5, var3 + 5);
         }

         var1.drawImage(this.goodimage, 1, 1, var2, var3, this);
      } else {
         var1.drawString("Errore!", 5, var4.getSize());
         ((Applet)this).resize((new Rexx(var4.getSize() / 7 * 4)).OpMult((RexxSet)null, this.rMaxLine.length()).OpAdd((RexxSet)null, $$10).toint(), (new Rexx(var4.getSize())).OpMult((RexxSet)null, this.rRecTxt[0]).OpAdd((RexxSet)null, $$11).toint());
         int var6 = this.rRecTxt[0].toint();

         for(int var9 = 1; var9 <= var6; ++var9) {
            var1.drawString(this.rRecTxt[var9].toString(), 5, var4.getSize() * var9);
         }

      }
   }
}
